Skip to main content
POST
/
v1
/
table
/
{id}
/
version
/
delete
Delete table version records
curl --request POST \
  --url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/version/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ranges": [
    {
      "start_version": 123,
      "end_version": 123
    }
  ],
  "identity": {
    "api_key": "<string>",
    "auth_token": "<string>"
  },
  "context": {},
  "id": [
    "<string>"
  ]
}
'
{
  "deleted_count": 1,
  "transaction_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://lancedb-bcbb4faf-docs-namespace-typescript-examples.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

string identifier of an object in a namespace, following the Lance Namespace spec. When the value is equal to the delimiter, it represents the root namespace. For example, v1/namespace/$/list performs a ListNamespace on the root namespace.

Query Parameters

delimiter
string

An optional delimiter of the string identifier, following the Lance Namespace spec. When not specified, the $ delimiter must be used.

Body

application/json

Request to delete table version records. Supports deleting ranges of versions for efficient bulk cleanup.

ranges
object[]
required

List of version ranges to delete. Each range specifies start (inclusive) and end (exclusive) versions.

identity
object

Identity information of a request.

context
object

Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.

REST NAMESPACE ONLY Context entries are passed via HTTP headers using the naming convention x-lance-ctx-<key>: <value>. For example, a context entry {"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.

id
string[]

The table identifier

Response

Result of deleting table version records

Response for deleting table version records

deleted_count
integer<int64>

Number of version records deleted

Required range: x >= 0
transaction_id
string

Optional transaction identifier